org.eclipse.mat.ui.snapshot

## Class ParseHeapDumpJob

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - org.eclipse.mat.ui.snapshot.ParseHeapDumpJob

All Implemented Interfaces:
  Comparable, org.eclipse.core.runtime.IAdaptable

    public abstract class ParseHeapDumpJob
    extends org.eclipse.core.runtime.jobs.Job

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

### Constructor Summary

Constructors
Constructor and Description
`ParseHeapDumpJob(org.eclipse.core.runtime.IPath path)`
`ParseHeapDumpJob(org.eclipse.core.runtime.IPath path, Map<String,String> args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isModal()`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, belongsTo, cancel, create, create, createSystem, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### ParseHeapDumpJob

    public ParseHeapDumpJob(org.eclipse.core.runtime.IPath path)

#### ParseHeapDumpJob

    public ParseHeapDumpJob(org.eclipse.core.runtime.IPath path,
                            Map<String,String> args)

### Method Detail

#### isModal

    public boolean isModal()